Package org.silverpeas.mobile.shared.dto

## Class FormFieldDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.FormFieldDTO

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `WorkflowFieldDTO`

      public class FormFieldDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormFieldDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getDisplayerName()` |
    `String` | `getId()` |
    `String` | `getInstanceId()` |
    `String` | `getLabel()` |
    `String` | `getName()` |
    `com.google.gwt.dom.client.Element` | `getObjectValue()` |
    `String` | `getType()` |
    `String` | `getValue()` |
    `String` | `getValueId()` |
    `Map<String,​String>` | `getValues()` |
    `boolean` | `isMandatory()` |
    `boolean` | `isReadOnly()` |
    `void` | `setDisplayerName​(String displayerName)` |
    `void` | `setId​(String id)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setLabel​(String label)` |
    `void` | `setMandatory​(boolean mandatory)` |
    `void` | `setName​(String name)` |
    `void` | `setObjectValue​(com.google.gwt.dom.client.Element objectValue)` |
    `void` | `setReadOnly​(boolean readOnly)` |
    `void` | `setType​(String type)` |
    `void` | `setValue​(String value)` |
    `void` | `setValueId​(String valueId)` |
    `void` | `setValues​(Map<String,​String> values)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormFieldDTO

          public FormFieldDTO()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### isReadOnly

          public boolean isReadOnly()

    - #### setReadOnly

          public void setReadOnly​(boolean readOnly)

    - #### isMandatory

          public boolean isMandatory()

    - #### setMandatory

          public void setMandatory​(boolean mandatory)

    - #### getDisplayerName

          public String getDisplayerName()

    - #### setDisplayerName

          public void setDisplayerName​(String displayerName)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getLabel

          public String getLabel()

    - #### setLabel

          public void setLabel​(String label)

    - #### setValue

          public void setValue​(String value)

    - #### getValue

          public String getValue()

    - #### setType

          public void setType​(String type)

    - #### getType

          public String getType()

    - #### setValues

          public void setValues​(Map<String,​String> values)

    - #### getValues

          public Map<String,​String> getValues()

    - #### getValueId

          public String getValueId()

    - #### setValueId

          public void setValueId​(String valueId)

    - #### setObjectValue

          public void setObjectValue​(com.google.gwt.dom.client.Element objectValue)

    - #### getObjectValue

          public com.google.gwt.dom.client.Element getObjectValue()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getInstanceId

          public String getInstanceId()